<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <parent>
    <groupId>cn.sam</groupId>
    <artifactId>SamService</artifactId>
    <version>1.0-SNAPSHOT</version>
  </parent>
  <artifactId>SamLims-security</artifactId>
  <packaging>jar</packaging>
   
  <dependencies>
    	<dependency>
            <groupId>cn.sam</groupId>
            <artifactId>SamLims-common</artifactId>
        </dependency>
        <dependency>
            <groupId>cn.sam</groupId>
            <artifactId>SamLims-orm</artifactId>
       </dependency>      
     
     
        <!-- xjar加密
     	<dependency>
             <groupId>com.github.core-lib</groupId>
             <artifactId>xjar</artifactId>
             <version>4.0.2</version>
        </dependency>
		<dependency>
		    <groupId>com.github.core-lib</groupId>
		    <artifactId>loadkit</artifactId>
		    <version>v1.0.1</version>
		</dependency>
		<dependency>
		    <groupId>org.apache.commons</groupId>
		    <artifactId>commons-compress</artifactId>
		    <version>1.21</version>
		</dependency>
       -->
    			
       <dependency>
   		 <groupId>com.github.oshi</groupId>
    	 <artifactId>oshi-core</artifactId>
    	 <version>${oshi.version}</version>
    	 <scope>provided</scope>
      </dependency>
      
      <dependency>
           <groupId>eu.bitwalker</groupId>
           <artifactId>UserAgentUtils</artifactId>
           <version>${UserAgentUtils.version}</version>
       </dependency>
       
       <!--JWT-->
       <dependency>
			<groupId>io.jsonwebtoken</groupId>
			<artifactId>jjwt</artifactId>
			<version>${jjwt.version}</version>
	   </dependency> 
	   <dependency>
            <groupId>javax.xml.bind</groupId>
            <artifactId>jaxb-api</artifactId>
       </dependency>      
	  <dependency>
			<groupId>com.auth0</groupId>
			<artifactId>java-jwt</artifactId>
			<version>${jwt.version}</version>
		</dependency>
	   <dependency>
	     	<groupId>com.github.ulisesbocchio</groupId>
	    	<artifactId>jasypt-spring-boot</artifactId>
	    	<version>${jasypt-spring-boot.version}</version>
		</dependency>
		
       <dependency>
            <groupId>de.schlichtherle.truelicense</groupId>
            <artifactId>truelicense-core</artifactId>
            <version>${truelicense.version}</version>
       </dependency>      
    </dependencies>
</project>

